{
  "name": "targo_frontend",
  "version": "0.0.1",
  "description": "A Quasar PWA Project for managing employee logic",
  "productName": "App Targo",
  "author": "Nicolas Drolet <nicolasd@targointernet.com>",
  "type": "module",
  "private": true,
  "scripts": {
    "lint": "eslint -c ./eslint.config.js \"./src*/**/*.{ts,js,cjs,mjs,vue}\"",
    "test": "echo \"No test specified\" && exit 0",
    "dev": "quasar dev",
    "build": "quasar build",
    "postinstall": "quasar prepare"
  },
  "dependencies": {
    "@quasar/extras": "^1.17.0",
    "axios": "^1.11.0",
    "chart.js": "^4.5.0",
    "crc": "^4.3.2",
    "markdown-it": "^14.1.0",
    "pinia": "^3.0.3",
    "pinia-plugin-persistedstate": "^4.4.1",
    "quasar": "^2.18.2",
    "vue": "^3.5.18",
    "vue-chartjs": "^5.3.2",
    "vue-i18n": "^11.1.11",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@eslint/js": "^9.14.0",
    "@intlify/unplugin-vue-i18n": "^4.0.0",
    "@quasar/app-vite": "^2.1.0",
    "@types/markdown-it": "^14.1.2",
    "@types/node": "^20.5.9",
    "@vue/eslint-config-typescript": "^14.4.0",
    "@vue/test-utils": "^2.4.6",
    "autoprefixer": "^10.4.2",
    "cypress": "^14.5.2",
    "eslint": "^9.31.0",
    "eslint-plugin-vue": "^10.3.0",
    "globals": "^15.12.0",
    "husky": "^9.1.7",
    "lint-staged": "^16.1.2",
    "typescript": "~5.5.3",
    "vite-plugin-checker": "^0.9.0",
    "vitest": "^3.2.4",
    "vue-tsc": "^2.0.29"
  },
  "engines": {
    "node": "^28 || ^26 || ^24 || ^22 || ^20 || ^18",
    "npm": ">= 6.13.4",
    "yarn": ">= 1.21.1"
  }
}
